# $Revision: 1.42 $, $Date: 2012/01/30 19:00:03 $
%define		subver	20040611
%define		rel		4
Summary:	A library for handling encrypted DVDs
Summary(pl.UTF-8):	Biblioteka do obsługi zakodowanych DVD
Name:		a52dec
Version:	0.7.5
Release:	0.%{subver}.%{rel}
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://liba52.sourceforge.net/files/%{name}-snapshot.tar.gz
# Source0-md5:	1729c7507f76b0d4cc04540926c5d0d7
Patch0:		%{name}-opt.patch
Patch1:		%{name}-pic.patch
URL:		http://liba52.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
liba52 is a free library for decoding ATSC A/52 streams. It is
released under the terms of the GPL license. The A/52 standard is used
in a variety of applications, including digital television and DVD. It
is also known as AC-3.

This package contains a52dec utilities.

%description -l pl.UTF-8
liba52 jest wolnodostępną (na licencji GPL) biblioteką do dekodowania
strumieni ATSC A/52. Standard A/52 jest używany w wielu
zastosowaniach, w tym cyfrowej telewizji i DVD. Jest znany także jako
AC-3.

Ten pakiet zawiera narzędzia a52dec.

%package libs
Summary:	a52dec library for handling encrypted DVDs
Summary(pl.UTF-8):	Biblioteka a52dec - do obsługi zakodowanych DVD
Group:		Libraries

%description libs
liba52 is a free library for decoding ATSC A/52 streams. It is
released under the terms of the GPL license. The A/52 standard is used
in a variety of applications, including digital television and DVD. It
is also known as AC-3.

%description libs -l pl.UTF-8
liba52 jest wolnodostępną (na licencji GPL) biblioteką do dekodowania
strumieni ATSC A/52. Standard A/52 jest używany w wielu
zastosowaniach, w tym cyfrowej telewizji i DVD. Jest znany także jako
AC-3.

%package libs-devel
Summary:	Header files for a52dec library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki a52dec
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description libs-devel
Header files for development using a52dec library.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe do programowania z użyciem biblioteki a52dec.

%package libs-static
Summary:	Static a52dec library
Summary(pl.UTF-8):	Statyczna biblioteka a52dec
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
Static a52dec library.

%description libs-static -l pl.UTF-8
Statyczna biblioteka a52dec.

%prep
%setup -q -n %{name}-%{version}-cvs
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shared
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/a52dec
%attr(755,root,root) %{_bindir}/extract_a52
%{_mandir}/man1/a52dec.1*
%{_mandir}/man1/extract_a52.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liba52.so.*.*.*
%ghost %{_libdir}/liba52.so.0

%files libs-devel
%defattr(644,root,root,755)
%{_libdir}/liba52.so
%{_libdir}/liba52.la
%{_includedir}/a52dec
%{_pkgconfigdir}/liba52.pc

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/liba52.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: a52dec.spec,v $
Revision 1.42  2012/01/30 19:00:03  glen
- -libs Group: Libraries

Revision 1.41  2011/02/01 20:18:02  glen
- createrepo does not like non-utf8 summary/description - rebuild for th
- verbose files, ghost soname symlink

Revision 1.40  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:48:35  baggins
- converted to UTF-8

Revision 1.38  2007/01/04 01:16:41  arekm
- rel .2

Revision 1.37  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.36  2006/02/10 00:23:37  koorek
- reverted to 1.34

Revision 1.34  2006/01/30 16:20:28  charles
- post{un} ldconfig moved to -libs

Revision 1.33  2006/01/29 22:31:46  charles
- updated to latest snapshot (aka 0.7.5-cvs)

Revision 1.32  2004/09/25 11:20:50  radek
- cosmetics (spaces -> tabs)

Revision 1.31  2003/12/30 21:04:51  undefine
- sometimes pic is needed already...

Revision 1.30  2003/11/06 08:37:12  wiget
- release 3

Revision 1.29  2003/08/06 16:03:32  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.28  2003/07/06 23:27:15  blues
- many small fixes, mostly inpired by kloczek

Revision 1.27  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.26  2003/05/25 05:45:23  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/05/06 08:33:02  qboosh
- added opt patch to avoid overriding optflags with -O3 etc
- cleaned mess with descriptions

Revision 1.24  2003/01/18 22:45:25  juandon
- removed two lines with define

Revision 1.23  2003/01/17 08:40:37  trojan
- fixed %%files (moved *.la from libs-static to libs-devel)

Revision 1.22  2003/01/16 12:37:02  blues
- fix in URL

Revision 1.21  2002/11/25 14:13:00  ankry
- massive attack: no need for 755 for *.la

Revision 1.20  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.19  2002/08/10 23:44:34  marcus
- updated to 0.7.4

Revision 1.18  2002/06/23 20:32:20  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/06/11 14:44:05  wrobell
- fixed url

Revision 1.16  2002/05/22 23:15:36  kloczek
- use %doc packing infrastructure.

Revision 1.15  2002/05/21 23:12:39  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/04/25 15:40:38  arturs
fixed a small typo

Revision 1.13  2002/04/08 14:40:42  qboosh
- removed %%{_mandir}/man1 dir from package; release 2

Revision 1.12  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.11  2002/03/07 07:16:36  kloczek
- updated to 0.7.3 (bugfix release).

Revision 1.10  2002/02/22 23:28:39  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2002/01/18 00:08:57  kloczek
- X11/ is back in main but redefine %%_libdir and %%_includedir.

Revision 1.7  2002/01/18 00:02:47  kloczek
- s#X11/##

Revision 1.6  2002/01/17 23:52:17  kloczek
- bump release to 2.

Revision 1.5  2002/01/17 23:51:53  kloczek
- cosmetics.

Revision 1.4  2002/01/14 11:47:22  wrobell
- this software does not depend on X11 libs

Revision 1.3  2002/01/14 11:44:44  wrobell
- libs, libs-devel (replaces devel) and libs-static subpackages
- building shared libraries enabled
- ver. 0.7.2
- stb

Revision 1.2  2001/10/10 14:31:13  qboosh
- pl translations, BuildRequires: autoconf,automake,libtool

Revision 1.1  2001/10/08 15:07:49  baggins
- initial revision
